Last Comment Bug 659621 - Remove EXTRA_DSO_LDOPTS, EXTRA_DSO_LIBS and OS_LIBS, now that libxul always built
: Remove EXTRA_DSO_LDOPTS, EXTRA_DSO_LIBS and OS_LIBS, now that libxul always b...
Status: VERIFIED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Ed Morley [:emorley]
:
Mentors:
Depends on: 648911
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 06:20 PDT by Ed Morley [:emorley]
Modified: 2011-08-25 07:59 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1 (60.62 KB, patch)
2011-05-25 13:05 PDT, Ed Morley [:emorley]
no flags Details | Diff | Review
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1 (60.65 KB, patch)
2011-05-25 13:44 PDT, Ed Morley [:emorley]
ted: review+
Details | Diff | Review
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1 (60.70 KB, patch)
2011-06-12 03:49 PDT, Ed Morley [:emorley]
emorley: review+
Details | Diff | Review

Comment 1 Mike Hommey [:glandium] 2011-05-25 06:54:13 PDT
I think you can completely remove EXTRA_DSO_LDOPTS, EXTRA_DSO_LIBS and OS_LIBS from any Makefile.in where LIBXUL_LIBRARY = 1.
Comment 2 Ed Morley [:emorley] 2011-05-25 12:28:45 PDT
Sounds like a plan, morphing.
Comment 3 Ed Morley [:emorley] 2011-05-25 13:05:06 PDT
Created attachment 535159 [details] [diff] [review]
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1

http://dev.philringnalda.com/tbpl/?tree=Try&rev=c2798493e31f

(The b-s repo does not yet contain the bug 648911 changes, so I decided to base this off of m-c for now, to make it easier to rebase on b-s later, once it merges with m-c).
Comment 4 Ed Morley [:emorley] 2011-05-25 13:44:14 PDT
Created attachment 535170 [details] [diff] [review]
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1

Typo fixed.

http://dev.philringnalda.com/tbpl/?tree=Try&rev=669aac8cadf5
Comment 5 Ed Morley [:emorley] 2011-05-26 08:43:03 PDT
Comment on attachment 535170 [details] [diff] [review]
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1

Passed try.

Thanks Ted :-)
Comment 6 Ted Mielczarek [:ted.mielczarek] 2011-06-08 10:08:56 PDT
Comment on attachment 535170 [details] [diff] [review]
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1

Review of attachment 535170 [details] [diff] [review]:
-----------------------------------------------------------------

I really only skimmed this patch, but it looks good and it's 99% removals. If it passed try it should be fine.
Comment 7 Ed Morley [:emorley] 2011-06-12 03:49:47 PDT
Created attachment 538744 [details] [diff] [review]
Remove EXTRA_DSO_LIBS, EXTRA_DSO_LDOPTS, OS_LIBS from makefiles containing LIBXUL_LIBRARY = 1

Updated to build-system tip, no other changes, carrying forwards r+. Thanks Ted :-)

Ideally needs to land on build-system rather than m-c. Has passed try (comment 4), has author + commit message filled out.
Comment 8 Ted Mielczarek [:ted.mielczarek] 2011-06-12 05:26:25 PDT
http://hg.mozilla.org/projects/build-system/rev/2f965cea44ff
Comment 9 Ted Mielczarek [:ted.mielczarek] 2011-06-13 06:17:58 PDT
http://hg.mozilla.org/mozilla-central/rev/2f965cea44ff
Comment 10 Simona B [:simonab] 2011-08-24 08:24:55 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Is there any way I can verify this on the QA side?

I checked and that all the files are removed from the repo.
http://hg.mozilla.org/mozilla-central/file/e0acef471ab2

Is that enough to mark this as VERIFIED FIXED?

Thanks!
Comment 11 Ted Mielczarek [:ted.mielczarek] 2011-08-24 08:58:52 PDT
This is just cleanup, it's not worth verifying. If you want to mark it VERIFIED, feel free, but it doesn't accomplish anything.
Comment 12 Simona B [:simonab] 2011-08-25 07:59:00 PDT
Based on Comment 11 marking this as VERIFIED FIXED.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.